1. Devices
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Devices

Show

Developing
GET
http://127.0.0.1:8000/api/devices/1
Retrieves the details of a specific device by its ID.

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthenticated
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/devices/1' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json'
Response Response Example
200 - Éxito
{
    "message": "Device found successfully",
    "data": {
        "id": 1,
        "name": "Firewall Main",
        "IP address": "192.168.1.1",
        "operating system": "Linux",
        "status": "active"
    }
}
Modified at 2026-06-19 14:29:21
Previous
Index
Next
Create
Built with